#ifndef __SYNTAX_EDITOR_H__
#define __SYNTAX_EDITOR_H__

#include <QWidget>

#include "ui_SyntaxEditor.h"

class SyntaxEditor : public QWidget {
Q_OBJECT
public:
	SyntaxEditor();
	virtual ~SyntaxEditor();

private slots:
	void slotSchemeActivated(const QString&);
	void slotItemActivated(const QString&);

private:
	void readStyles();
	void readStyle(const QString&);

	Ui::SyntaxEditorUi ui;

	class Interior;
	Interior* int_;
};

#endif /* __SYNTAX_EDITOR_H__ */
